<?php
/**
 * Аппаратно-программные средства WEB. Задание 3.
 * Реализовать скрипт на веб-сервере на PHP или другом языке,
 * сохраняющий в базу данных.
 */

// Отправляем браузеру правильную кодировку,
// файл index.php должен быть в кодировке UTF-8 без BOM.
header('Content-Type: text/html; charset=utf-8');

// В суперглобальном массиве $_SERVER PHP сохраняет некторые заголовки запроса HTTP
// и другие сведения о клиненте и сервере, например метод текущего запроса $_SERVER['REQUEST_METHOD'].
if ($_SERVER['REQUEST_METHOD'] == 'GET')
{
    // В суперглобальном массиве $_GET PHP хранит все параметры, переданные в текущем запросе через URL.
    if (!empty($_GET['save']))
    {
        // Если есть параметр save, то выводим сообщение пользователю.
        print ('<div class="save has-text-info">Спасибо, данные отправлены в базу данных.</div>');
    }
    // Включаем содержимое файла form.php.
    include ('form.php');
    // Завершаем работу скрипта.
    exit();
}

// Иначе, если запрос был методом POST, т.е. нужно проверить данные и сохранить их БД.
// Проверяем ошибки.

// Логическая переменная наличия ошибок, изначально false
$errors = false;

// Проверка ошибок имени
if (empty($_POST['name']))
{
    print ('Введите свое имя.<br/>');
    $errors = true;
}

// Проверка ошибок почты
if (empty($_POST['email']))
{
    print ('Введите свой email.<br>');
    $errors = true;
}


// Проверка ошибок галочки
if (empty($_POST['check']))
{
    print ('Вы не можете отправить форму не согласившись с контрактом.<br>');
    $errors = true;
}

// При наличии ошибок завершаем работу скрипта.
if ($errors)
{
    exit();
}

// Сохранение в базу данных.
$user = 'u16345'; // Логин от БД
$pass = '1159713'; // Пароль от БД

// Создаем класс подключения к БД
$db = new PDO('mysql:host=localhost;dbname=u16671', $user, $pass, array(
    PDO::ATTR_PERSISTENT => true
));

// Подготовленный запрос. Не именованные метки.
try
{
    $stmt = $db->prepare("INSERT INTO app SET name = ?, email = ?, age = ?);
    $stmt->execute(array(
        $_POST['name'],
        $_POST['email'],
        $_POST['year'],
        $_POST['sex'],
    ));
}
catch(PDOException $e)
{
    // При возникновении ошибки отправления в БД, выводим информацию
    print ('Ошибка: ' . $e->getMessage());
    exit();
}

// Делаем перенаправление.
// Если запись не сохраняется, но ошибок не видно, то можно закомментировать эту строку чтобы увидеть ошибку.
// Если ошибок при этом не видно, то необходимо настроить параметр display_errors для PHP.
header('Location: ?save=1');